Redmine - Defect #24864

svn.redmine.org: "The certificate is not issued by a trusted authority”
2017-01-18 12:46 - Gwyll Gwyllin

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Website (redmine.org) Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Your certificate is expired.

Error validating server certificate for 'https://svn.redmine.org:443":

- The certificate is not issued by a trusted authority. Use the

fingerprint to validate the certificate manually!

Certificate information:

- Hostname: svn.redmine.org

- Valid: from Jan 8 00:00:00 2017 GMT until Jan 8 23:59:59 2020 GMT

- Issuer: Gandi, Paris, Paris, FR

- Fingerprint: AB:F1:C8:B7:69:A6:99:BD:20:C1:59:A4:5F:60:9E:27:2D:81:82:B7

Related issues:

Related to Redmine - Defect #24509: SSL Certificate expired for svn.redmine.org Closed
Related to Redmine - Defect #22281: http://redmine.org results in a 403 Forbi... Closed
History

#1 - 2017-01-18 12:47 - Gwyll Gwyllin

Sorry, not expired ... untrusted.

#2 - 2017-01-18 13:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Really?
#24509

#3 - 2017-01-18 15:20 - Gwyll Gwyllin

As | mentioned, not expired, untrusted.

So ... yes, really.

#4 - 2017-01-18 17:04 - Toshi MARUYAMA
- File firefox.png added

What is problem?
https://www.redmine.org/issues/24509

Page Info - https://svn.redmine.org/

|ﬂ s

General Permissions

Website Identity
Website: svn.redmine.org
Owner: This website does not supply ownership information.
Verified by:  Gandi

Page Info - https://www.google.co.jp/

General Media Permissions

Website Identity
Website: www.google.co.jp
Owner: This website does not supply ownership information.

Verified by: Google Inc

Page Info - https://www.usa.gov/

General Media Feeds Permissions

Website Identity
Website: WWW.USa.gov
Owner: This website does not supply ownership information.

I Verified by: GeoTrust Inc.

#5 - 2017-01-18 17:57 - Gwyll Gwyllin

- File svn-redmine-org.png added
I included the error message in the description but if you prefer screenshots, see attached.

#6 - 2017-01-18 18:08 - Toshi MARUYAMA

Do you mean "Gandi, Paris, Paris, FR" is untrusted?

#7 - 2017-01-18 20:14 - Toshi MARUYAMA

- File gnutls-cli.txt added

- Subject changed from Upgrade svn.redmine.org's SSL Certificate to svn.redmine.org: "The certificate is not issued by a trusted authority”
- Category changed from Security to Website (redmine.org)

- Status changed from Needs feedback to New

- Priority changed from High to Low

#8 - 2017-01-18 20:18 - Toshi MARUYAMA
- Related to Defect #24509: SSL Cetrtificate expired for svn.redmine.org added

#9 - 2017-01-18 20:20 - Toshi MARUYAMA
- Related to Defect #22281: http://redmine.org results in a 403 Forbidden added

#10 - 2017-08-17 14:14 - Holger Just

The certificate itself is fine and valid. However, it appears that the server for https://svn.redmine.org does not send along the required intermediate
certificates to allow clients to verify the full certificate chain as shown in Toshi's gnutls trace.

Some clients (like most current browsers) cache intermediate certificates they have already seen somewhere else (e.g. from a visit to
https://www.redmine.org) . This allows them to still verify the certificate chain even if the actual server does not send the required certificates along.
https://svn.redmine.org
https://www.redmine.org

SVN clients usually don't do this (and don't even "visit" other sites). Thus, they have no way to learn about the intermediate certificate chain which is
required to verify the server certificate. The clients only have their internal list of trusted root certificates. The solution would be to configure the
webserver at https://svn.redmine.org to also send the intermediate certificates along, similar to how it's done for the main website at
https://www.redmine.org. | think that right now only Jean-Philippe is able to perform this change.

#11 - 2017-10-24 19:21 - Andrey Galkin

I've just run into the same problem.
Please use SSLCertificateChainFile or SSLCertificateFile depending on Apache version.

You can see the problem here: https://www.ssllabs.com/ssltest/analyze.html?d=svn.redmine.org
"Chain issues  Incomplete”

Please also check: https://mozilla.github.io/server-side-tls/ssl-config-generator/
to get acceptable TLS configuration instead of current insecure one.

#12 - 2019-06-10 10:27 - Seiei Miyagi

Is there any progress?

| had a same issue.
https://github.com/agileware-jp/redmine-plugin-orb/pull/8#discussion_r291828335

| use following one-liner for now.

svn co --non-interactive --config-option servers:global:ssl-authority-files=<(curl -sL https:/www.gandi.net/static/CAs/GandiStandardSSLCA2.pem)
https://svn.redmine.org/redmine/trunk /tmp/redmine

the Gandi's intermediary certificates is listed here.
https://docs.gandi.net/en/ssl/documents/technical_documents.html

#13 - 2024-06-20 16:49 - Holger Just
- Status changed from New to Closed

- Resolution set to Fixed

It seems that this was fixed.

svn.redmine.org currently sends an intermediate certificate which allows clients to build a certificate chains towards the "USERTrust RSA Certification
Authority" which is usually included in trusted root certificate stores.

Files

firefox.png 66.8 KB 2017-01-18 Toshi MARUYAMA
svn-redmine-org.png 49.4 KB 2017-01-18 Gwyll Gwyllin
gnutls-cli.txt 7.41 KB 2017-01-18 Toshi MARUYAMA
